# Steps 步骤条

引导用户按照流程完成任务的导航条。

## 何时使用

当任务复杂或者存在先后关系时，将其分解成一系列步骤，从而简化任务。

## 示例

<code src="./demos/demo1.tsx"></code>

<code src="./demos/demo2.tsx"></code>

## Steps

### 属性

| 属性      | 说明                                                                          | 类型                         | 默认值         |
| --------- | ----------------------------------------------------------------------------- | ---------------------------- | -------------- |
| current   | 指定当前步骤，从 0 开始记数。在子 Step 元素中，可以通过 `status` 属性覆盖状态 | `number`                     | `0`            |
| direction | 指定步骤条方向。目前支持水平（`horizontal`）和竖直（`vertical`）两种方向      | `'horizontal' \| 'vertical'` | `'horizontal'` |

### CSS 变量

| 属性                     | 说明                                       | 默认值 |
| ------------------------ | ------------------------------------------ | ------ |
| --title-font-size        | 标题的字号                                 | `13px` |
| --description-font-size  | 描述的字号                                 | `12px` |
| --indicator-margin-right | 左边的指示器和右边的文字内容之间的额外间距 | `0`    |
| --icon-size              | 指示器上图标的大小                         | `18px` |

## Steps.Step

### 属性

| 属性        | 说明                                                                                                                                  | 类型                                         | 默认值   |
| ----------- | ------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------- | -------- |
| title       | 标题                                                                                                                                  | `ReactNode`                                  | -        |
| description | 步骤的详情描述，可选                                                                                                                  | `ReactNode`                                  | -        |
| icon        | 步骤图标的类型                                                                                                                        | `ReactNode`                                  | -        |
| status      | 指定状态。当不配置该属性时，会使用 `Steps` 的 `current` 来自动指定状态；如果该属性与 `current` 指定的状态不匹配会覆盖自动匹配的状态。 | `'wait' \| 'process' \| 'finish' \| 'error'` | `'wait'` |
